/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qquick3druntimeloader_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQuick3D_AssetUtils()
{
    qmlRegisterModule("QtQuick3D.AssetUtils", 6, 0);
    qmlRegisterTypesAndRevisions<QQuick3DRuntimeLoader>("QtQuick3D.AssetUtils", 6);
    qmlRegisterModule("QtQuick3D.AssetUtils", 6, 4);
}

static const QQmlModuleRegistration registration("QtQuick3D.AssetUtils", qml_register_types_QtQuick3D_AssetUtils);
